[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#400889: marked as done (rpmbuild -ta does not work with GNU tar-1.16-1)

Your message dated Sun, 14 Jun 2009 10:51:45 +0000
with message-id <E1MFnJR-0007gp-1i@ries.debian.org>
and subject line Bug#400889: fixed in rpm 4.7.0-1
has caused the Debian Bug report #400889,
regarding rpmbuild -ta does not work with GNU tar-1.16-1
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact owner@bugs.debian.org

400889: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=400889
Debian Bug Tracking System
Contact owner@bugs.debian.org with problems
--- Begin Message ---
Package: rpm
Version: 4.4.1-12
Severity: normal

GNU tar Version 1.16-1 needs Option "--wildcards" to enable pattern

"rpmbuild -ta" uses something like "tar xOf package.tar.gz \*.spec" to
extract the SPEC from the tarball. Tar complains instead of printing the
SPEC file, so rpmbuild fails.

$ LANG=C tar -xOzf package.tar.gz \*.spec
tar: Pattern matching characters used in file names. Please,
tar: use --wildcards to enable pattern matching, or --no-wildcards to
tar: suppress this warning.
tar: *.spec: Not found in archive
tar: Error exit delayed from previous errors

$ rpmbuild -ta package.tar.gz
error: Name field must be present in package: (main package)
error: Version field must be present in package: (main package)
error: Release field must be present in package: (main package)
error: Summary field must be present in package: (main package)
error: Group field must be present in package: (main package)
error: License field must be present in package: (main package)

$ ls -l /usr/src/rpm/SPECS/
total 0
-rw------- 1 woffs woffs 0 Nov 29 12:55 tar: Pattern matching characters
used in file names. Please,

Maybe this is a tar bug.


-- System Information:
Debian Release: 4.0
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.17-2-686
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)

Versions of packages rpm depends on:
ii  libbeecr 4.1.2-6                         open source C library of cryptogra
ii  libbz2-1 1.0.3-6                         high-quality block-sorting file co
ii  libc6    2.3.6.ds1-8                     GNU C Library: Shared libraries
ii  libcomer 1.39+1.40-WIP-2006.11.14+dfsg-1 common error description library
ii  libkrb53 1.4.4-4                         MIT Kerberos runtime libraries
ii  libpopt0 1.10-3                          lib for parsing cmdline parameters
ii  librpm4  4.4.1-12                        RPM shared library
ii  libselin 1.32-3                          SELinux shared libraries
ii  libssl0. 0.9.8c-3                        SSL shared libraries
ii  perl     5.8.8-6.1                       Larry Wall's Practical Extraction 
ii  zlib1g   1:1.2.3-13                      compression library - runtime

rpm recommends no packages.

-- no debconf information

--- End Message ---
--- Begin Message ---
Source: rpm
Source-Version: 4.7.0-1

We believe that the bug you reported is fixed in the latest version of
rpm, which is due to be installed in the Debian FTP archive:

  to pool/main/r/rpm/librpm-dev_4.7.0-1_amd64.deb
  to pool/main/r/rpm/librpm0_4.7.0-1_amd64.deb
  to pool/main/r/rpm/librpmbuild0_4.7.0-1_amd64.deb
  to pool/main/r/rpm/librpmio0_4.7.0-1_amd64.deb
  to pool/main/r/rpm/lsb-rpm_4.7.0-1_amd64.deb
  to pool/main/r/rpm/python-rpm_4.7.0-1_amd64.deb
  to pool/main/r/rpm/rpm_4.7.0-1.diff.gz
  to pool/main/r/rpm/rpm_4.7.0-1.dsc
  to pool/main/r/rpm/rpm_4.7.0-1_amd64.deb
  to pool/main/r/rpm/rpm_4.7.0.orig.tar.gz

A summary of the changes between this version and the previous one is

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 400889@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
Michal Čihař <nijel@debian.org> (supplier of updated rpm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)

Hash: SHA1

Format: 1.8
Date: Tue, 09 Jun 2009 19:12:51 +0200
Source: rpm
Binary: rpm lsb-rpm librpm0 librpmio0 librpmbuild0 librpm-dev python-rpm
Architecture: source amd64
Version: 4.7.0-1
Distribution: unstable
Urgency: low
Maintainer: Michal Čihař <nijel@debian.org>
Changed-By: Michal Čihař <nijel@debian.org>
 librpm-dev - RPM shared library, development kit
 librpm0    - RPM shared library
 librpmbuild0 - RPM build shared library
 librpmio0  - RPM IO shared library
 lsb-rpm    - RPM Package Manager for LSB package building
 python-rpm - Python bindings for RPM
 rpm        - package manager for RPM
Closes: 366186 400889 421262 465871 519861 529558 530180 532257
 rpm (4.7.0-1) unstable; urgency=low
   * New maintainer (Closes: #529558).
   * New Upstream Version (Closes: #519861).
     - Add new libraries to build depends (lzma, nspr, nss, magic).
     - Works correctly with new tar (Closes: #400889).
   * Adjust patches:
     - Dropped 02-hkp-disable.diff
     - Refreshed 09-prereq.diff
     - Refreshed 13-rpm2cpio-help.diff
     - Dropped 14-work-on-debian64.diff
     - Refreshed 16-debian-warn.diff
     - Dropped 19-misc.diff
     - Refreshed 22_spelling-fixes.diff
     - Dropped 40_fix-zlib-include-in-file.patch
     - Refreshed 68_autogen-fixes.patch
     - Refreshed 70_autogen.patch
   * Bump policy to 3.8.1.
   * Switch to debhleper 7.
     - Use debian/clean instead of list in debian/rules.
     - Use debian/links instead of list in debian/rules.
     - Use dh_quilt*.
     - Use dh helper to simplify debian/rules.
   * Man pages can be in utf-8, mandb supports this since  2.5.0-1.
   * Switch to libneon27-gnutls-dev (Closes: #532257).
   * Fix build out out sources.
   * Fix upstream installation of rpm.
   * Do not create lsb-rpm man page by patch, include it directly.
   * Drop not needed source lintian override.
   * Switch to python-support.
   * Rename and split library packages to librpm0, librpmio0 and librpmbuild0.
   * Add symbol files to lib* packages.
   * Add debian/copyright.
   * Improve package descriptions.
   * Fix %{_sysconfdir} macro (Closes: #465871).
   * Fix bashisms (by using bash) (Closes: #530180).
   * Debsums are correct on this package (Closes: #421262).
   * Delete stray directories on purge (Closes: #366186).
 b74d2d49a4e7c55d039a12281d6272d3a4446b73 1571 rpm_4.7.0-1.dsc
 18a1f9a839a6aabaea07408104e2fa03adde1b7f 4322416 rpm_4.7.0.orig.tar.gz
 32b9a2aafbecfa60a97def848e6eadb5c0bf710c 450238 rpm_4.7.0-1.diff.gz
 e78762042d677feb72a8b4d55b8216ca5510613c 1281270 rpm_4.7.0-1_amd64.deb
 2d844cf41a437037914ed6295cd0bff5fe193308 897620 lsb-rpm_4.7.0-1_amd64.deb
 7036418b40f9cd35e181af3e082decbd11755add 839802 librpm0_4.7.0-1_amd64.deb
 ace77953980db86b760cf96b734dfde63b5bc8f8 698844 librpmio0_4.7.0-1_amd64.deb
 0bc624e561e2de39eecd4ca6a19b32edde09144d 700056 librpmbuild0_4.7.0-1_amd64.deb
 835de22bedfbc7112ec40bbe06d1d8933e39a65a 698900 librpm-dev_4.7.0-1_amd64.deb
 7146858807cd8ad85779e03a84c85543b07ae51d 673044 python-rpm_4.7.0-1_amd64.deb
 eedda00ae4f3671e3602ba9431ce5d958bd08bd0a328cf5d05a627ac8a3ffbe4 1571 rpm_4.7.0-1.dsc
 f41955e3b0b77725b4804f6c0e3053fa70e8a93850ee86622379adcd2c949060 4322416 rpm_4.7.0.orig.tar.gz
 92707972ec41a58426006cce81fb70c67e023ff2645cd96c32cb6bc4dbfe6183 450238 rpm_4.7.0-1.diff.gz
 ca368cbea5e6d8159c55bc92699308f948867531ed2846d962b9e215350092f9 1281270 rpm_4.7.0-1_amd64.deb
 c4e05622da57bc51945a3c9d4dc40b0512c8079a1255220a7afd6b1b0206b99a 897620 lsb-rpm_4.7.0-1_amd64.deb
 cb9b7d8e4e834fabe54b75c2cdc43bdfecb2bd8bb1f7f3da71386d50bfeebc0d 839802 librpm0_4.7.0-1_amd64.deb
 5bd48c5361b6a243a3a9c94916af9c7f07743fa6c2b0ed890b0fcaed3acfd8d6 698844 librpmio0_4.7.0-1_amd64.deb
 3d41b5f6c559c295aab581ff957caa0eb384af9bcc344e65a74f920b79edbdf2 700056 librpmbuild0_4.7.0-1_amd64.deb
 689651d582ad17b714efae813cc12a516565e0b557dd75fd4a25388e7b9dd15f 698900 librpm-dev_4.7.0-1_amd64.deb
 720cdb58b8b9ed009310528c86247e8d08331c7a77ab4c5d5f56c73558cf3fb2 673044 python-rpm_4.7.0-1_amd64.deb
 a52d50578705a9d4de641a366b513582 1571 admin optional rpm_4.7.0-1.dsc
 73e8405be356b06d83e3abacf16ac881 4322416 admin optional rpm_4.7.0.orig.tar.gz
 f260f9c0719c62fd9a86b429a1b0fa49 450238 admin optional rpm_4.7.0-1.diff.gz
 0d1a6361154ead2b5d5ea57d1a5640e3 1281270 admin optional rpm_4.7.0-1_amd64.deb
 dc5e835c397b08163b03778420e01f62 897620 devel optional lsb-rpm_4.7.0-1_amd64.deb
 963d4f3586bf009c41448b9146376e89 839802 libs optional librpm0_4.7.0-1_amd64.deb
 5221dfba60e4b8caae3169d6cad12f9a 698844 libs optional librpmio0_4.7.0-1_amd64.deb
 6a0636a6acd8edf177f0670474f150f6 700056 libs optional librpmbuild0_4.7.0-1_amd64.deb
 02ede3cca70ce26729b1d1d09c218375 698900 libdevel extra librpm-dev_4.7.0-1_amd64.deb
 6298bc0fb54a43c98d37c491bcda2d08 673044 python extra python-rpm_4.7.0-1_amd64.deb

Version: GnuPG v1.4.9 (GNU/Linux)


--- End Message ---

Reply to: